"""mytest URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/2.2/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path
from ServerApp.views import RequestProcessor
from django.conf import settings
from django.conf.urls import url, include
from django.conf.urls.static import static
urlpatterns = [
    path('admin/', admin.site.urls),
    path("counter/", RequestProcessor.Single_Counter,name='counter'),
    path("form_creator/", RequestProcessor.form_creator),
    path("login/", RequestProcessor.counter_Login, name="login"),
    path("get_this/", RequestProcessor.get_test, name="get_this"), ###token
    path("check_token/", RequestProcessor.check_token, name="check_token"),
    path("dashboard/",RequestProcessor.user_dashboard, name="dashboard"),
    path("add_query/", RequestProcessor.add_query, name="add_query"),
    path("",RequestProcessor.Counters_View),
    path("counters/", RequestProcessor.Counters_View, name="Counters"),
    path("testing/",RequestProcessor.testing,name="testing"), #####form checking testing
    path("upload/", RequestProcessor.upload_file, name="upload"),###upload photos
    path("get_test/", RequestProcessor.get_test, name="get_test"), ###
    path("Modify_form/",RequestProcessor.SPV_Method, name="Modify_form"), ##### save forms by get method
    path("form_save/",RequestProcessor.save_form_response, name="form_save"),
    path("forms_check/",RequestProcessor.Form_Checking,name="forms_check"),
    path("form_changer/",RequestProcessor.Form_Changer,name="form_changer"),
    path("forms/",RequestProcessor.form_return, name="forms"),
    path("submit_form/",RequestProcessor.submit_form,name="submit_form"),
    path("principal_request/",RequestProcessor.Principal_Request,name="principal_request"),
    path("principal/",RequestProcessor.Principal_View,name="principal"),
    path("home/",RequestProcessor.Home,name="home"),
]+static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

